//---------------------------------------------------------------------------

#include <vcl.h>

#pragma hdrstop

#include "VmxAlphaImage.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------
// ValidCtrCheck is used to assure that the components created do not have
// any pure virtual functions.
//

static inline void ValidCtrCheck(TVmxAlphaImage *)
{
        new TVmxAlphaImage(NULL);
}
//---------------------------------------------------------------------------
__fastcall TVmxAlphaImage::TVmxAlphaImage(TComponent* Owner)
        : TGraphicControl(Owner)
{
  Picture = new T32BitBMP;
}
//---------------------------------------------------------------------------

void __fastcall TVmxAlphaImage::Paint (void)
{
  Picture->Draw(Canvas,0,0);
}

namespace Vmxalphaimage
{
        void __fastcall PACKAGE Register()
        {
                 TComponentClass classes[1] = {__classid(TVmxAlphaImage)};
                 RegisterComponents("VMX", classes, 0);
        }
}
//---------------------------------------------------------------------------
 